STRLEN(3)

NOM
strlen - Calculer la longueur d'une chaîne de caractères

SYNOPSIS
#define _GNU_SOURCE

#include <string.h>

size_t strlen (const char *s);

DESCRIPTION
La fonction strlen() calcule la longueur de la chaîne de caractères s, sans compter le carèctere nul « \0 » final.

VALEUR RENVOYÉE
La fonction strlen() renvoie le nombre de caractères dans la chaîne s.

CONFORMITÉ
SVr4, BSD 4.3, C89, C99.

VOIR AUSSI
string(3), wcslen(3), wcsnlen(3), feature_test_macros(7)

TRADUCTION

Ce document est une traduction réalisée par Christophe Blaess <http://www.blaess.fr/christophe/> le 9 novembre 1996 et révisée le 10 décembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 3 strlen ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.